package net.knarcraft.minecraftserverlauncher.server.servertypes;

/**
 * This class represents the SpongeForge Minecraft server type
 */
public class SpongeForge extends SpongeVanilla {

    /**
     * Instantiates a new SpongeForge server type
     *
     * @param typeName        <p>The name of this server type</p>
     * @param isProxy         <p>Whether this server type is a proxy server</p>
     * @param versions        <p>Available versions for this server type</p>
     * @param versionURL      <p>The URL used for downloading the version document</p>
     * @param srcStart        <p>The string to search for to determine newest version</p>
     * @param srcEnd          <p>The string marking the end of the newest version statement</p>
     * @param downloadURL     <p>The URL used for downloading the new file</p>
     * @param downloadURLPart <p>A string used after the download url as an additional part of the URL</p>
     */
    public SpongeForge(String typeName, boolean isProxy, String[] versions, String versionURL, String srcStart, String srcEnd, String downloadURL, String downloadURLPart) {
        super(typeName, isProxy, versions, versionURL, srcStart, srcEnd, downloadURL, downloadURLPart);
        this.oldVersionFunction = serverVersionContainer::getSpongeForgeVersion;
        this.versionUpdateFunction = serverVersionContainer::setSpongeForgeVersion;
    }

}
